﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditMfsPoll.ascx.cs" 
    Inherits="Mindfire.Modules.MfsPollModule.EditMfsPoll" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:UpdatePanel ID="up1" runat="server" UpdateMode="Always">
<ContentTemplate>
<div id="divPollResult" style="width:100%">
    <table cellpadding="0" cellspacing="0" border="0" width="100%" align="left">
        <tr>
            <td align="left" class="td">
                <asp:Label ID="lbPollResult" runat="server" Text="POLL RESULT" Font-Underline="true"></asp:Label>
            </td>
        </tr>
        <tr id="tr1" runat="server">
            <td align="left" class="td">
                <asp:Label ID="lblVoteRatio" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
</div>
<div id="divComment" style="width:100%">
    <table cellpadding="0" cellspacing="0" border="0" width="100%" align="left">
        <tr>
            <td align="left" class="td">
                <asp:Label ID="lblComment" runat="server" Text="COMMENT" Font-Underline="true"></asp:Label>
            </td>
        </tr>
        <tr id="tr2" runat="server">
            <td align="left" class="td">
                <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="false" Width="100%" 
                    ShowHeader="false" EmptyDataText = "No Comments...">                    
                    <Columns>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                    <tr style="height:35px">
                                        <td style="width:10%">
                                            USER:
                                        </td>
                                        <td style="width:90%">
                                            <asp:Label ID="lblUser" runat="server" 
                                                Text='<%# Server.HtmlEncode(Eval("Username").ToString()) %>' />
                                        </td>
                                    </tr>
                                    <tr style="height:35px">
                                        <td>
                                            MESSAGE:
                                        </td>
                                        <td>
                                            <asp:Label ID="lblMessage" runat="server" 
                                                Text='<%# Server.HtmlEncode(Eval("Message").ToString()) %>' />
                                        </td>
                                    </tr>
                                    <tr style="height:35px">
                                        <td>
                                            NAME:
                                        </td>
                                        <td>
                                            <asp:Label ID="lblName" runat="server" 
                                                Text='<%# Server.HtmlEncode(Eval("Name").ToString()) %>' />
                                        </td>
                                    </tr>
                                    <tr style="height:35px">
                                        <td>
                                            EMAIL:
                                        </td>
                                        <td>
                                            <asp:Label ID="lblEmail" runat="server" 
                                                Text='<%# Server.HtmlEncode(Eval("Email").ToString()) %>' />
                                        </td>
                                    </tr>
                                    <tr style="height:35px">
                                        <td>
                                            LOCATION:
                                        </td>
                                        <td>
                                            <asp:Label ID="lblLocation" runat="server" 
                                            Text='<%# Eval("Location") != null ? Server.HtmlEncode(Eval("Location").ToString()) : String.Empty %>' />
                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>                    
                </asp:GridView>
            </td>
        </tr>
        <tr>
            <td align="right">
                <asp:LinkButton ID="lbReturn" runat="server" Text="CANCEL" OnClick="lbReturn_Click"></asp:LinkButton>
            </td>
        </tr>
    </table>
</div>
</ContentTemplate>
</asp:UpdatePanel>