﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AddCategory.ascx.cs" 
    Inherits="Mindfire.Modules.MfsPollModule.AddCategory" %>
<%@ Register Assembly = "AjaxControlToolkit" Namespace = "AjaxControlToolkit" TagPrefix = "asp" %>
<%@ Register TagPrefix = "dnn" TagName = "Label" Src = "~/controls/LabelControl.ascx" %>

       <div id="divCategory" style="width:100%">
            <asp:Panel ID = "panelCategory" runat = "server" Height = "175px">
                <table cellpadding = "0" cellspacing = "0" border = "0" width = "100%" align = "center">                    
                    <tr>
                        <td class = "td">
                            <dnn:Label ID = "lblCategoryTitle" runat = "server" Text = "CATEGORY NAME:"></dnn:Label> 
                        </td>
                        <td class = "td">
                            <asp:TextBox ID = "tbCategoryTitle" runat = "server"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="reqTitle" runat = "server" ValidationGroup = "create"
                            ErrorMessage="required field" ControlToValidate = "tbCategoryTitle"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td class = "td">
                            <dnn:Label ID = "lblStartDate" runat = "server" Text = "START DATE:"></dnn:Label>  
                        </td>
                        <td class = "td">
                            <asp:TextBox ID = "tbStartDate" runat = "server"></asp:TextBox>
                            <asp:CalendarExtender ID = "CalendarExtender1" runat = "server" TargetControlID = "tbStartDate">
                            </asp:CalendarExtender>
                            <asp:RequiredFieldValidator ID="reqStartDate" runat = "server" ValidationGroup = "create"
                            ErrorMessage="required field" ControlToValidate = "tbStartDate"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td class = "td">
                            <dnn:Label ID = "lblEndDate" runat = "server" Text = "END DATE:"></dnn:Label> 
                        </td>
                        <td class = "td">
                            <asp:TextBox ID = "tbEndDate" runat = "server"></asp:TextBox>
                            <asp:CalendarExtender ID = "CalendarExtender2" runat = "server" TargetControlID = "tbEndDate">
                            </asp:CalendarExtender>
                            <asp:RequiredFieldValidator ID="reqEndDate" runat = "server" ValidationGroup = "create"
                            ErrorMessage="required field" ControlToValidate = "tbEndDate"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                     <tr id = "trPagesize" runat = "server">
                        <td class = "td">
                            <dnn:Label ID = "lblPageSize" runat = "server" Text = "PAGE SIZE:"></dnn:Label>
                        </td>
                        <td class = "td">
                            <asp:TextBox ID = "txtPageSize" runat = "server"></asp:TextBox>
                            <asp:RegularExpressionValidator ID="RegExpVal1" runat="server" ValidationGroup = "create"
                            ValidationExpression = "^\d+$" ControlToValidate="txtPageSize" Text="Text must be an integer." />
                        </td>
                    </tr>
                    <tr>
                        <td class = "td">
                            <dnn:Label ID = "lblGraph" runat = "server" Text = "IS GRAPH:"></dnn:Label>
                        </td>
                        <td class = "td">
                            <asp:CheckBox ID = "cbIsGraph" runat = "server" onclick = "checkIsGraph(this)" />
                        </td>
                    </tr>
                    <tr id = "trMaxGraphWidth" runat = "server" style="display:none;">
                        <td class = "td">
                            <dnn:Label ID = "lblGraphWidth" runat = "server" Text = "GRAPH WIDTH:"></dnn:Label>
                        </td>
                        <td class = "td">
                            <asp:DropDownList ID = "ddlMaxBarGraphWidth" runat = "server"></asp:DropDownList>
                        </td>
                    </tr>                    
                    <tr>
                        <td class = "td">
                            <dnn:Label ID = "lblPostComment" runat = "server" Text = "ALLOW POST COMMENT:"></dnn:Label> 
                        </td>
                        <td class = "td">
                            <asp:CheckBox ID = "cbIsPostComment" runat = "server" />
                        </td>
                    </tr>
                    <tr>
                        <td class = "td">
                            <dnn:Label ID = "lblCaptcha1" runat = "server" Text = "IS CAPTCHA:"></dnn:Label>
                        </td>
                        <td class = "td">
                            <asp:CheckBox ID = "cbIsCaptcha" runat = "server" onclick = "showCaptcha(this)" />
                        </td>
                    </tr>
                    <tr id = "trCaptchaType" runat = "server" style = "display:none;">
                        <td class = "td">
                                <dnn:Label ID = "lblCaptcha2" runat = "server" Text = "CAPTCHA TYPE:"></dnn:Label>
                        </td>
                        <td class = "td">
                            <asp:RadioButtonList ID = "rblCaptchaType" runat = "server" RepeatDirection = "Horizontal">
                            <asp:ListItem Text = "Math" Value = "0" Selected = "True"></asp:ListItem>
                            <asp:ListItem Text = "Image" Value = "1"></asp:ListItem></asp:RadioButtonList>
                        </td>
                    </tr>
                    <tr>
                        <td align = "left">
                            <asp:LinkButton ID = "lkbCreate" runat = "server" ValidationGroup = "create" 
                                OnClick = "lkbCreate_Click" OnClientClick = "return chkcategory();"></asp:LinkButton>                                
                        </td>
                        <td align = "left">
                            <asp:LinkButton ID = "lbReturn" runat = "server" Text = "RETURN" OnClick = "lbReturn_Click">
                            </asp:LinkButton>
                        </td>
                   </tr>
                   <tr>
                       <td style = "text-align:center" colspan = "2" align = "center">
                       <asp:Label ID = "lblMsg" runat = "server" Text = "Category created/updated Successfully." 
                       ForeColor = "Red" Visible = "false"></asp:Label>                                
                       </td>
                   </tr>
                </table>
            </asp:Panel>
        </div>

<script type = "text/javascript">

    // Declaring valid date character, minimum year and maximum year
    var dtCh = "/";
    var minYear = 1900;
    var maxYear = 2100;
    var alertMsg = "";

    function chkcategory() {
    
        //Check for valid start date
        if (!isDate(trim(document.getElementById('<%= tbStartDate.ClientID %>').value, ''))) {
            alert("Please enter a valid start date");
            document.getElementById('<%= tbStartDate.ClientID %>').value = "";
            document.getElementById('<%= tbStartDate.ClientID %>').focus();
            return false;
        }

        //Check for valid end date
        if (!isDate(trim(document.getElementById('<%= tbEndDate.ClientID %>').value, ''))) {
            alert("Please enter a valid end date");
            document.getElementById('<%= tbEndDate.ClientID %>').value = "";
            document.getElementById('<%= tbEndDate.ClientID %>').focus();
            return false;
        }

      
        var FromDate = new Date(trim(document.getElementById('<%= tbStartDate.ClientID %>').value, ''));
        var ToDate = new Date(trim(document.getElementById('<%= tbEndDate.ClientID %>').value, ''));
       
        //Check for either of the dates not to be less than current date
        if (FromDate < new Date(GetDateString("mm/dd/yyyy"))) {
            alert("Start date must be greater than or equal to current date!");
            return false;
        }
       
        if (FromDate > ToDate) {
            alert("End date must be greater than or equal to start date!");
            document.getElementById('<%= tbEndDate.ClientID %>').focus();
            return false;
        }
        return true;
    }

    //Get Current Date in specific format
    function GetDateString(dateFormat) {
        var formateddate = new Date();
        var dd = formateddate.getDate();
        var mm = formateddate.getMonth() + 1;
        var yyyy = formateddate.getFullYear();
        return dateFormat.replace(/dd/g, dd).replace(/mm/g, mm).replace(/yyyy/g, yyyy);
    }


    function trim(str, chars) {
        return ltrim(rtrim(str, chars), chars);
    }

    function ltrim(str, chars) {
        chars = chars || "\\s";
        return str.replace(new RegExp("^[" + chars + "]+", "g"), "");
    }

    function rtrim(str, chars) {
        chars = chars || "\\s";
        return str.replace(new RegExp("[" + chars + "]+$", "g"), "");
    }

    function isInteger(s) {
        var i;
        for (i = 0; i < s.length; i++) {
            // Check that current character is number.
            var c = s.charAt(i);
            if (((c < "0") || (c > "9")))
                return false;
        }
        // All characters are numbers.
        return true;
    }

    function stripCharsInBag(s, bag) {
        var i;
        var returnString = "";
        // Search through string's characters one by one.
        // If character is not in bag, append to returnString.
        for (i = 0; i < s.length; i++) {
            var c = s.charAt(i);
            if (bag.indexOf(c) == -1)
                returnString += c;
        }
        return returnString;
    }

    //To validate an input is a date or not sub function for february
    function daysInFebruary(year) {
        // February has 29 days in any year evenly divisible by four,
        // EXCEPT for centurial years which are not also divisible by 400.
        return (((year % 4 == 0) && ((!(year % 100 == 0)) || (year % 400 == 0))) ? 29 : 28);
    }

    //To validate an input is a date or not sub function
    function DaysArray(n) {
        for (var i = 1; i <= n; i++) {
            this[i] = 31;
            if (i == 4 || i == 6 || i == 9 || i == 11) {
                this[i] = 30;
            }
            if (i == 2) {
                this[i] = 29;
            }
        }
        return this;
    }

    //To validate an input is a date or not
    function isDate(dtStr) {
        var daysInMonth = DaysArray(12);
        var pos1 = dtStr.indexOf(dtCh);
        var pos2 = dtStr.indexOf(dtCh, pos1 + 1);
        var strMonth = dtStr.substring(0, pos1);
        var strDay = dtStr.substring(pos1 + 1, pos2);
        var strYear = dtStr.substring(pos2 + 1);
        strYr = strYear;
        if (strDay.charAt(0) == "0" && strDay.length > 1)
            strDay = strDay.substring(1);
        if (strMonth.charAt(0) == "0" && strMonth.length > 1)
            strMonth = strMonth.substring(1);
        for (var i = 1; i <= 3; i++) {
            if (strYr.charAt(0) == "0" && strYr.length > 1)
                strYr = strYr.substring(1);
        }
        month = Number(strMonth);
        day = Number(strDay);
        year = Number(strYr);
        if (pos1 == -1 || pos2 == -1) {
            //alert("The date format should be : mm/dd/yyyy");
            return false;
        }
        if (strMonth.length < 1 || month < 1 || month > 12) {
            //alert("Please enter a valid month");
            return false;
        }
        if (strDay.length < 1 || day < 1 || day > 31 || (month == 2 && day > daysInFebruary(year)) || day > daysInMonth[month]) {
            //alert("Please enter a valid day");
            return false;
        }
        if (strYear.length != 4 || year == 0 || year < minYear || year > maxYear) {
            //alert("Please enter a valid 4 digit year between "+minYear+" and "+maxYear);
            return false;
        }
        if (dtStr.indexOf(dtCh, pos2 + 1) != -1 || isInteger(stripCharsInBag(dtStr, dtCh)) == false) {
            //alert("Please enter a valid date");
            return false;
        }
        return true;
    }

    //Check if graph checked and set the graph width control display property
    function checkIsGraph(cbIsGraph) {
        if (cbIsGraph.checked)
            document.getElementById('<%= trMaxGraphWidth.ClientID %>').style.display = "";
        else
            document.getElementById('<%= trMaxGraphWidth.ClientID %>').style.display = "none";
    }

    //Check if Captcha checked and set the Captcha type control display property
    function showCaptcha(cbCaptcha) {
        if (cbCaptcha.checked) {
            document.getElementById('<%=trCaptchaType.ClientID %>').style.display = '';
        }
        else {
            document.getElementById('<%=trCaptchaType.ClientID %>').style.display = 'none';
        }
    }

    $(document).ready(function () {
        var graph = document.getElementById('<%=cbIsGraph.ClientID %>');
        var captcha = document.getElementById('<%=cbIsCaptcha.ClientID %>');

        //Set graph and captcha controls on load
        checkIsGraph(graph);
        showCaptcha(captcha);
    });

    </script>

